package com.steerinfo.ems.trml1source.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TRmL1source implements IBasePO<String> {
    /**
     * 代码(ID,VARCHAR,40)
     */
    @ApiModelProperty(value="代码",required=false)
    private String id;

    /**
     * 名称(NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="名称",required=true)
    private String name;

    /**
     * 备注(REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=true)
    private String remark;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.id;
    }

    @Override
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", remark=").append(remark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}